Subject: Newer version of gexe uploaded
From: [email-masked] (Bill Riemers)
Date: Tue, 15 Jun 93 19:15:56 GMT
Newsgroups: comp.os.linux.announce

Hi there,

      I just wanted to make a quick comment that I've uploaded
a newer version of gexe to sunsite.unc.edu.  If the old version
is working for you then there is no need to upgrade.  Changes:

   1. A bug was removed that every unix system complained 
      about except Linux running csh526.

   2. I've changed the script to recognize the following
      machine types automatically:
         - Linux (csh526)
         - Domain/OS DN10000 and m68k based (BSD4.3 csh)
         - Titian/OS (SYSV csh)
         - HP-UX (HP-UX csh)
      You may have to change some of the paths, but it works for
      me as is on all four systems.  It is also easily configur-
      able for other systems.

   3. Recently, it occured to me this script should not be used
      as-is on multi-user systems where you are worried about
      security, since it is trivial to fool gexe compressed
      executables into running a trojan horse.  On my Titan
      account I've changed my tempory directory to ~/tmp to
      avoid this problem.

"gexe" is just a short csh 2k script that I have not spent much
of time developing.  However, it works very nicely, does not
require root privledges, and presents virtually no risk to your
executables.  If you are looking for something more sophisticated,
try tcx1.1.  Personally, the best use of this script for me is
for compressing term on my Titian account (2MB quota), this allows
space for things like my mail handler.

                          Bill
--
"Yeti!  Saw them in the London Underground twenty years ago.  Ghosts!
A headless woman used to walk through my bedroom at midnight.  Mermaids?
Grandpa was rescued from the Marie Celeste by one.  Vampires?  I always
wondered where my dad went to at night.  Telepathy?  Right now you're
thinking that I'm talking crap.  So what can you tell me that I won't
believe in?" - Andrew Hunt, "CAT'S CRADLE: WITCH MARK"

--
Send submissions for comp.os.linux.announce to: [email-masked]